@import (reference) "../helpers/_var";
@import (reference) "../fonts/_icons";

.dignity-section {
  & {
    background-color: @bg_second;
    margin: 0 auto 80px;
    text-align: center;
    padding: 60px 20px 0;

    @media (max-width: @screen_tablet) {
      margin-bottom: 60px;
      padding-top: 40px;

    }
  }

  .title {
    font-size: 40px;
    font-family: @font_primary;
    padding-bottom: 40px;
    margin: 0;

    @media (max-width: @screen_tablet) {
      font-size: 28px;
    }
  }

  .list {
    & {
      display: flex;
      flex-wrap: wrap;
      justify-content: space-between;

      @media (max-width: @screen_desktop) {
        //flex-direction: column;
        align-items: center;
      }
    }

    .item {
      & {
        display: block;
        text-align: center;
        align-self: self-start;
        font-family: @font_primary;
        flex-wrap: wrap;
        width: 45%;
        margin: 0 10px 30px;
        position: relative;

        @media (min-width: @screen_desktop) {
          margin-bottom: 40px;
          align-self: self-start;
          width: 20%;
        }

        @media (max-width: @screen_tablet) {
          width: 100%;
        }
      }

      .icon {
        & {
          line-height: 0;
          color: @second_color;
          margin: 0 0 30px;
          display: block;
        }

        &.-delivery:before {
          .icon-delivery;
          font-size: 70px;
        }

        &.-cool:before {
          .icon-partner;
          font-size: 65px;
        }

        &.-phone:before {
          .icon-phone;
          font-size: 65px;
        }
        &.-home:before {
          .icon-phone;
          font-size: 65px;
        }
      }

      .line {
        font-family: @font_primary;
        padding-bottom: 30px;
        font-size: 20px;
        font-weight: 700;
        margin: 0;
        display: block;

        @media (max-width: @screen_tablet) {
          font-size: 18px;
          padding-bottom: 20px;
        }
      }

      .text {
        font-family: @font_second;
        margin: 0;
        font-size: 16px;
        line-height: 1.5;

        @media (max-width: @screen_tablet) {
          font-size: 14px;
        }
      }
    }
  }
}